LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XHyphenator Interface Referencepublished

provides functionality for hyphenation of single words. More...

`import"XHyphenator.idl";`

Inheritance diagram for XHyphenator:

## Public Member Functions
com::sun::star::linguistic2::XHyphenatedWord | hyphenate ([in] string aWord, [in] com::sun::star::lang::Locale aLocale, [in] short nMaxLeading, [in] com::sun::star::beans::PropertyValues aProperties) raises ( com::sun::star::lang::IllegalArgumentException )
| tries to find a valid hyphenation position relative to the beginning of a word. More...
com::sun::star::linguistic2::XHyphenatedWord | queryAlternativeSpelling ([in] string aWord, [in] com::sun::star::lang::Locale aLocale, [in] short nIndex, [in] com::sun::star::beans::PropertyValues aProperties) raises ( com::sun::star::lang::IllegalArgumentException )
| checks whether hyphenation at a position in a word will result in an alternative spelling or not. More...
com::sun::star::linguistic2::XPossibleHyphens | createPossibleHyphens ([in] string aWord, [in] com::sun::star::lang::Locale aLocale, [in] com::sun::star::beans::PropertyValues aProperties) raises ( com::sun::star::lang::IllegalArgumentException )
| returns information about all possible hyphenation positions of a word. More...
Public Member Functions inherited from XSupportedLocales
sequence< com::sun::star::lang::Locale > | getLocales ()
boolean | hasLocale ([in] com::sun::star::lang::Locale aLocale)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides functionality for hyphenation of single words.

Its three main functionalities are to provide a suitable position for breaking lines within a word, query about the existence of an alternative spelling at a specific position of a word and provide a list of possible hyphenation positions within a word.

A hyphenation position for a word with n characters is represented by a value in the range from 0 to n-2, indicating the position of the character after which the hyphenation is done. That is, it is after the first and before the last character.

A valid hyphenation position is a hyphenation position that fulfills all the restrictions implied by the properties MinLeading, MinTrailing and MinWordLength.

See also
  com::sun::star::linguistic2::LinguProperties
  com::sun::star::linguistic2::XSupportedLocales

## Member Function Documentation

## ◆ createPossibleHyphens()

com::sun::star::linguistic2::XPossibleHyphens createPossibleHyphens | ( | [in] string | aWord,
|  | [in] com::sun::star::lang::Locale | aLocale,
|  | [in] com::sun::star::beans::PropertyValues | aProperties
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

returns information about all possible hyphenation positions of a word.

Returns
  a com::sun::star::linguistic2::XPossibleHyphens for the given word and language if there are any hyphenation positions. `NULL` otherwise.

Parameters

  aWord | is the word for which information about the possible hyphenation positions is to be retrieved.
  aLocale | defines the language of the word.

If the language is not supported, an IllegalArgumentException exception is raised.

Parameters

  aProperties | provides property values to be used for this function call only. It is usually empty in order to use the default values supplied with the property set.

See also
  com::sun::star::linguistic2::XPossibleHyphens
  com::sun::star::lang::Locale

## ◆ hyphenate()

com::sun::star::linguistic2::XHyphenatedWord hyphenate | ( | [in] string | aWord,
|  | [in] com::sun::star::lang::Locale | aLocale,
|  | [in] short | nMaxLeading,
|  | [in] com::sun::star::beans::PropertyValues | aProperties
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

tries to find a valid hyphenation position relative to the beginning of a word.

Note: Some languages, for example Arabic, are written from right to left.

Returns
  the XHyphenatedWord for the last valid hyphenation position that is less than or equal to nMaxLeading - 1. If there is no such valid hyphenation position, `NULL` is returned.

Parameters

  aWord | is the word to be hyphenated.
  aLocale | defines the language to be used.

If the language is not supported, an IllegalArgumentException exception is raised.

Parameters

  nMaxLeading | specifies the maximum number of characters to remain before the hyphen in the hyphenated word.

It has to be greater than or equal to 0.

Parameters

  aProperties | provides property values to be used for this function call only. It is usually empty in order to use the default values supplied with the property set.

See also
  com::sun::star::linguistic2::XHyphenatedWord
  com::sun::star::lang::Locale

## ◆ queryAlternativeSpelling()

com::sun::star::linguistic2::XHyphenatedWord queryAlternativeSpelling | ( | [in] string | aWord,
|  | [in] com::sun::star::lang::Locale | aLocale,
|  | [in] short | nIndex,
|  | [in] com::sun::star::beans::PropertyValues | aProperties
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

checks whether hyphenation at a position in a word will result in an alternative spelling or not.

An alternative spelling position is a hyphen position where, if hyphenation is done here, the writing of the word changes. Example: "B&auml;cker" in German pre spelling-reform becomes "B&auml;kker" if hyphenation is done after the "c".

The hyphenation position does not need to be a valid one to be an alternative spelling position.

Returns
  the information about the alternative spelling found at the specified position. Otherwise, if no alternative spelling was found, `NULL` is returned.

Parameters

  aWord | is the original word to be looked at for having an alternative spelling, if hyphenation is done at position nIndex.
  aLocale | specifies the language to be used.

If the language is not supported, an IllegalArgumentException exception is raised.

Parameters

  nIndex | is the position in the word to be looked at.

If the length of the word is n, the value of this parameter has to be in the range from 0 to n-2.

Parameters

  aProperties | provides property values to be used for this function call only. It is usually empty in order to use the default values supplied with the property set.

See also
  com::sun::star::linguistic2::XHyphenatedWord
  com::sun::star::lang::Locale

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XHyphenator.idl